       IDENTIFICATION DIVISION.
       PROGRAM-ID. FAADECIC.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
      **************************************************************
      * SIMPLE SERVER PROGRAM THAT RETURNS
      * DATE AND TIME INTO THE COMMAREA.
      * COMMAREA RECEIVED MUST BE AT LEAST 18 CHARACTERS LONG.
      *
      * Author: unknown
      **************************************************************
       01 WS-START-WORKING-STORE.
          03  FILLER              PIC X(22) VALUE
                                       'WORKING STORAGE BEGINS'.
       01 TCTUA-PTR               USAGE IS POINTER.
       01 RESP                    PIC S9(8) COMP.
       01 RESP2                   PIC S9(8) COMP.
       01 ABS-TIME                PIC S9(15) COMP-3.
       01 OUT-MSG                 PIC X(80) VALUE SPACES.
       01 MSG1                    PIC X(80) VALUE
              'COMMAREA LESS THAN LENGTH 18 ...'.
       01 TRANSX                  PIC X(4) VALUE SPACES.

       LINKAGE SECTION.
         01 DFHCOMMAREA.
            05 DATE-AREA        PIC X(8).
            05 SEPARATOR        PIC X(1).
            05 TIME-AREA        PIC X(8).
            05 LOWVAL           PIC X(1).

       PROCEDURE DIVISION.

       ABC-MAIN SECTION.

           MOVE SPACE TO SEPARATOR.
           MOVE LOW-VALUE TO LOWVAL.

           IF EIBCALEN LESS THAN 18
             MOVE MSG1 TO OUT-MSG
             PERFORM SEND-MSG

             EXEC CICS RETURN
             END-EXEC
             GO TO ABC-EXIT.

           EXEC CICS ASKTIME ABSTIME(ABS-TIME)
           END-EXEC.

           EXEC CICS FORMATTIME ABSTIME(ABS-TIME)
                                DDMMYY(DATE-AREA)
                                DATESEP('/')
                                TIME(TIME-AREA)
                                TIMESEP(':')
           END-EXEC.

      *  NOW RETURN

           EXEC CICS RETURN
           END-EXEC.

       ABC-EXIT.
           EXIT.
      *-----------------------------------------------------*

       SEND-MSG.

           EXEC CICS WRITEQ TD QUEUE('CSMT') FROM(OUT-MSG)
                     LENGTH(80)
                     NOHANDLE END-EXEC.
       SEND-MSG-EXIT.
           EXIT.

