// ------------------------------------------------------------------------
// Display results        (part of the ECIJGATE suite)
//                        (Alan Hollingshead - April 1998)
// Display to screen + Write to results file
// ------------------------------------------------------------------------

package jgtest.util;

import ibm.cics.jgate.client.*;
import java.text.*;
import java.util.Date;

public class reportResults
{
   // ------------------------------------------------------------------------
   // Method: reportECIresults
   // ------------------------------------------------------------------------
   public static void reportECIresults(String sClass,
                                       int iReplyOK,
                                       int iCallsIssued,
                                       int iIt_Count,
                                       int iIterations)
   {
      Date theDate = new Date();
      DateFormat shortDate =
         DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.SHORT);
      System.out.println("\n--- "+sClass+ " completed "
                         + shortDate.format(theDate) );

      System.out.println("\n--- Calls successful ... "+
                         +iReplyOK + " out of " + iCallsIssued );
      System.out.println("--- Iterations run ..... "+ iIt_Count
                         + " out of " + iIterations );
   }
   // ------------------------------------------------------------------------
   // Method: reportEXIresults
   // ------------------------------------------------------------------------
   public static void reportEXIresults(String sClass,
                                       int iIt_Count,
                                       int iIterations)
   {
      Date theDate = new Date();
      DateFormat shortDate =
         DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.SHORT);
      System.out.println("\n--- "+sClass+ " completed "
                         + shortDate.format(theDate) );

      System.out.println("\n--- Iterations run ..... "+ iIt_Count
                         + " out of " + iIterations );
   }
   // ------------------------------------------------------------------------
   // Method: reportComment
   // ------------------------------------------------------------------------
   public static void reportComment(String sClass,
                                    String sComment)
   {
      System.out.println("\n--- "+sClass+ " "+sComment );
   }
   // ------------------------------------------------------------------------
   // Method: reportStarted
   // ------------------------------------------------------------------------
   public static void reportStarted(String sClass)
   {
      Date theDate = new Date();
      DateFormat shortDate =
         DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.SHORT);
      System.out.println("\n--- "+sClass+ " started "
                         + shortDate.format(theDate) );
   }
}
